Loading...
Searching...
No Matches
peripheral::GatewaySensorManager::FeedbackObject Struct Reference

Feedback from gateway sensor configuration usage. More...

## Public Types

enum | FeedbackState { UNSPECIFIED , INTENTIONALLY_UNUSED , FAILED_PRECONDITIONS_UNUSED , FAILED , GOOD }

## Public Attributes

string | key
| empty or free defined value name
string | value
| message or value
FeedbackState | stateTansitionTo
| this FeedbackObject changes state, if not UNSPECIFIED

## Detailed Description

Feedback from gateway sensor configuration usage.

There is no knowledge of Feedback required to configure gateway sensors. The following is only needed for special tools that monitor the usage of the configurations above.

The documentation for this struct was generated from the following file:

- GatewaySensorManager.idl